Bug 179709 - Review Request: dap-hdf4_handler - HDF4 data handler for the OPeNDAP Data server
Review Request: dap-hdf4_handler - HDF4 data handler for the OPeNDAP Data server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 179707
  Show dependency treegraph
 
Reported: 2006-02-02 05:03 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-25 21:03:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-02-02 05:03:02 EST
SRPM Name or Url: http://www.environnement.ens.fr/perso/dumas/fc-srpms/hdf4_handler-3.5.0-1.src.rpm
Description: 

This is the hdf4 data handler for our data server. It reads HDF4 and HDF-EOS
files and returns DAP responses that are compatible with DAP2 and the
dap-server 3.5 software.
Comment 1 Patrice Dumas 2006-02-02 05:08:32 EST
This bug depends on #179707, but circular dependencies are not allowed.
Comment 2 Ed Hill 2006-02-19 22:25:30 EST
Hi Patrice, heres a review:

good:
 + license is acceptable for FE and included 
 + source matches upstream
 + spec file is clean and has no obviuous errors
 + builds in mock on FC4
 + dir ownership and permissions look good
 + very simple package

needswork:
 - please re-name it to "dap-hdf4_handler" or similar
 - license is LGPL not GPL
Comment 4 Ed Hill 2006-02-20 08:53:30 EST
Both items from comment #2 are fixed so its APPROVED.
Comment 5 Patrice Dumas 2006-02-25 21:03:37 EST
Ed, thanks for all the reviews, and sorry for the dap-server mess... Everything
builds in FC3 and FC4, and I reported upstream the issues (including the
HTML::Parser issue) and they're working on it.
Comment 6 Christian Iseli 2006-10-18 09:15:28 EDT
Normalize summary field for easy parsing

Note You need to log in before you can comment on or make changes to this bug.